
<section class="submission-society-sec2 overview-allbox" style="background: url(<%-data.submitFormBackgroundImg-%>) center 40px">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center  js-article-section article__section">
                <h3><%-data.formHeading-%></h3>
            </div>

        </div>
        <div class="row mt-4 pt-3">
            <div class="col-md-6">
                <div class="form-group  js-article-section article__section">
                    <input type="text" name="" id="org_Name" class="form-control" placeholder="Full Name of Organization">
                </div>
                <div class="form-group  js-article-section article__section">
                    <input type="number" name="" id="org_Phone" class="form-control" placeholder="Organization’s Phone Contact">
                </div>
                <div class="form-group  js-article-section article__section">
                    <input type="text" class="form-control" name="" id="org_Address" placeholder="Organization’s Mailing Address">
                </div>
                
            </div>
            <div class="col-md-6">
                <div class="form-group  js-article-section article__section">
                    <input type="text" name="" id="date" class="form-control" placeholder="Date Founded"
                        onfocus="(this.type='date')" onblur="if(this.value==''){this.type='text'}">
                </div>
                <div class="form-group  js-article-section article__section">
                    <input type="email" name="" id="email" class="form-control" placeholder="Email " autocomplete="off">
                </div>
                <div class="form-group  js-article-section article__section">
                    <input type="text" class="form-control" name="" id="society_url" placeholder="Society URL">
                </div>

            </div>
            <div class="col-md-12">
                <div class="form-group  js-article-section article__section">
                    <textarea class="form-control" name="" id="description" placeholder="Description"></textarea>
                </div>
            </div>
        </div>
        <div class="row my-4">
            <div class="col-md-12 mb-2  js-article-section article__section">
                <h4>Membership Requirements</h4>
            </div>
            <div class="col-md-6 mb-4 mb-md-0 js-article-section article__section">

                <h4 class="mb-3">(a) Choose one</h4>
                <div class="custom-control custom-radio">
                    <input type="radio" id="customRadio1" name=" RadioA" value="Inquiries Welcome, All Eligible Members Accepted" class="custom-control-input">
                    <label class="custom-control-label" for="customRadio1">Inquiries Welcome, All Eligible Members
                        Accepted</label>
                </div>
                <div class="custom-control custom-radio">
                    <input type="radio" id="customRadio2" name=" RadioA" value="Inquiries Welcome, Candidates Reviewed" class="custom-control-input">
                    <label class="custom-control-label" for="customRadio2">Inquiries Welcome, Candidates
                        Reviewed</label>
                </div>
                <div class="custom-control custom-radio">
                    <input type="radio" id="customRadio3" name=" RadioA" value="Membership By Invitation Only" class="custom-control-input">
                    <label class="custom-control-label" for="customRadio3">Membership By Invitation Only</label>
                </div>
                
            </div>
            <div class="col-md-6 mb-4 mb-md-0 js-article-section article__section">
                <h4 class="mb-3">(b) Choose one</h4>
                <div class="custom-control custom-radio">
                    <input type="radio" id="Radio4" name=" RadioB" value="No Lineage Information Required" class="custom-control-input">
                    <label class="custom-control-label" for="Radio4">No Lineage Information Required</label>
                </div>
                <div class="custom-control custom-radio">
                    <input type="radio" id="Radio5" name=" RadioB" value="Basic Lineage Information Required" class="custom-control-input">
                    <label class="custom-control-label" for="Radio5">Basic Lineage Information Required</label>
                </div>
                <div class="custom-control custom-radio">
                    <input type="radio" id="Radio6" name=" RadioB" value="Lineage Required With Sources" class="custom-control-input">
                    <label class="custom-control-label" for="Radio6">Lineage Required With Sources</label>
                </div>
                <div class="custom-control custom-radio">
                    <input type="radio" id="Radio7" name=" RadioB" value="Full Documentation of Lineage Required" class="custom-control-input">
                    <label class="custom-control-label" for="Radio7">Full Documentation of Lineage Required</label>
                </div> 
                
            </div>
        </div>
        <div class="row my-4">
            <div class="form-group col-md-12  js-article-section article__section">
                <input class="form-control" type="text" name="submit text" id="submitterName" placeholder="Submitter Name">
            </div>
            <div class="form-group col-md-6  js-article-section article__section">
                <input class="form-control" type="number" name="phone number" id="Phone" placeholder="Phone">
            </div>
            <div class="form-group col-md-6  js-article-section article__section">
                <input class="form-control" type="email" name="email" id="submitterEmail" placeholder="Submitter Email" autocomplete="off">
            </div>
        </div>
        <div class="col-md-12 text-center  js-article-section article__section">
            <input type="submit"  value="Submit" onclick="submitDirectory(event)"  class="submit-btn">
        </div>
        <p class="my-5 small form-text text-muted text-left  js-article-section article__section">
            Image files including society insignia should be sent separately to the HSC webmaster.<br>
            All applications for society listings must first be reviewed and approved by HSC. This process
            may take several weeks.
        </p>

    </div>
</section>
<script>
  async function submitDirectory(event){
   event.preventDefault();
   const organizationName = document.getElementById('org_Name').value
   const dateFounded = document.getElementById('date').value
   const organizationPhone = document.getElementById('org_Phone').value
   const organizationEmail = document.getElementById('email').value
   const societyUrl = document.getElementById('society_url').value
   const description = document.getElementById('description').value
    if(document.getElementById('customRadio1').checked){
      var check = document.getElementById('customRadio1').value
    }else if(document.getElementById('customRadio2').checked){
        var check = document.getElementById('customRadio2').value  
    }else if(document.getElementById('customRadio3').checked){
        var check = document.getElementById('customRadio3').value
    }

    if(document.getElementById('Radio4').checked){
      var check1 = document.getElementById('Radio4').value
    }else if(document.getElementById('Radio5').checked){
        var check1 = document.getElementById('Radio5').value  
    }else if(document.getElementById('Radio6').checked){
        var check1 = document.getElementById('Radio6').value
    }else if(document.getElementById('Radio7').checked){
        var check1 = document.getElementById('Radio7').value
    }
const submitterName = document.getElementById('submitterName').value
const phone = document.getElementById('Phone').value
const submitterEmail = document.getElementById('submitterEmail').value
if(!organizationName ||!organizationPhone ||!organizationEmail ||!societyUrl ||!description ||!submitterName ||!phone ||!submitterEmail){
    alert("Please filled all field first")
}else{
await fetch(`https://hereditary-backend.herokuapp.com/api/v2/directory_submission/directorySubmissionForm`,{
    method:"Post",
     headers:{
        "Content-Type":"application/json"
     },
     body:JSON.stringify({organizationName,dateFounded,organizationPhone,organizationEmail,societyUrl,description,check,check1,submitterName,phone,submitterEmail})
}).then((res =>{
 if(res.status === 200){
    alert("Posted Successfull")
    window.location.reload()
 }else{
     alert(error in Posting)
 }
})).catch((error)=> console.log(error))
}
     
  }  
</script>


